<?xml version="1.0" encoding="euc-jp"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
<beans>

	<bean id="moduleManager" class="jp.maru.liquid.kernel.ModuleManager">
		<property name="modules" >
			<list>
				<bean id="httpTemplateServerModule"
				 class="jp.maru.liquid.kernel.modules.HttpServerModule">
					<property name="connector" ref="defaultConnector" />

					 <property name="strategy">
						<bean class="jp.maru.liquid.kernel.modules.strategy.HttpTemplateStrategy" />
					 </property>
				</bean>

				<bean id="asyncHttpTemplateServerModule"
				 class="jp.maru.liquid.kernel.modules.AsyncHttpServerModule">
					<property name="connector" ref="defaultConnector" />

					 <property name="strategy">
						<bean class="jp.maru.liquid.kernel.modules.strategy.HttpBasicStrategy" />
					 </property>
				</bean>
			</list>
		</property>
	</bean>

	<bean id="defaultConnector"
	 class="jp.maru.liquid.kernel.modules.http.HttpConnector">
		 <property name="port" value="80" />
	</bean>

</beans>
